Subject: Re: [Panic] Discussion Topic: Use of Existing Work

From: "Eric Voit (evoit)" <[email-masked]>
Date: Tue, 15 Aug 2017 21:47:45 +0000

Hi David,

Since others' haven't commented yet, I can start...

I believe the yang-push mechanisms could be applicable. A high level mapping would be:

*       Network Device can be a yang-push Publisher

*       Posture Server can be a yang-push Subscriber

*       Data Store (out of scope of yang-push)

I am one of the yang-push authors, so please make the comparisons yourself.   However there are proof-points that this is doable.  For example, attached are some minutes from the last IETF Hackathon.  Here Cisco & Huawei Network Devices pushed YANG object changes over NETCONF to a Posture Server (in this case an XMPP-grid server).

Eric

From: Panic [mailto:[email-masked]] On Behalf Of Waltermire, David A. (Fed)
Sent: Tuesday, July 18, 2017 8:06 AM
To: [email-masked]
Subject: [Panic] Discussion Topic: Use of Existing Work

Now that we have a clearer statement of scope [1], I'd like to get some discussion going around what existing work can be used to address the "abstract" solution described in the scope draft. The yang-push family of work has been suggested. How does this work overlay with the PANIC components in the scope draft? Is this work appropriate? Other alternatives? Are there gaps that need to be addressed?

Please share your thoughts.

[1] https://datatracker.ietf.org/doc/html/draft-waltermire-panic-scope-02

Regards,

Dave
draft-waltermire-panic-scope-02 <https://datatracker.ietf.org/doc/html/draft-waltermire-panic-scope-02>
datatracker.ietf.org
Posture Assessment Through Posture Information Collection Discussion Scope (Internet-Draft, 2017)